Vaadin 8 + Touchkit 5

hola, he creado un nuevo proyecto en vaadin 8 y simplemente añado la dependencia del touchkit 5.0.0.beta y al compilar me sale este error:

[ERROR]
Failed to execute goal com.vaadin:vaadin-maven-plugin:8.1.5:compile (default-cli) on project Sh24clientesweb: GWT Module com.vaadin.v7.Vaadin7WidgetSet not found in project sources or resources. → [Help 1]

Alguna idea ? Gracias.

Al parecer requiere los paquetes de compatibilidad. Acá encuentras más información:
https://vaadin.com/docs/v8/framework/migration/migrating-to-vaadin8.html